---------------------------------------------------------------
--                                                           
--  ADA GNAT INTEGRATED DEVELOPMENT ENVIRONMENT (AdaGIDE)    
--                                                           
--  RTF.ADS 
--  Description : provides constants describing the
--                Rich Text Format (RTF)
--
--  By: Dr. Martin C. Carlisle
--                                         
-- RTF is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--
-- RTF is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
PACKAGE RTF IS
    -- removed \deflang1033 to fix foreign keyboard problem
    Header : CONSTANT String := "{\rtf1\ansi\deff0\deftab720" &
      Standard.ASCII.LF &
      "{\fonttbl{\f0\fnil FixedSys;}{\f1\fprq1 Courier New;}}" &
      Standard.ASCII.LF &
      "{\colortbl\red0\green0\blue0;\red0\green128\blue0;" &
            "\red128\green0\blue128;\red0\green128\blue128;" &
            "\red0\green0\blue255;}" &
      Standard.ASCII.LF &
      "\pard";
    reserved_color : CONSTANT String := "\cf4 ";
    other_color : CONSTANT String := "\cf0 ";
    constant_color : CONSTANT String := "\cf2 ";
    comment_color : CONSTANT String := "\cf1 ";
    string_color : CONSTANT String := "\cf3 ";
    bold_color : CONSTANT String := "\b ";
    unbold_color : CONSTANT String := "\plain";
    LF : CONSTANT String := "\par "; -- put AFTER Line Feed
    Footer : CONSTANT String := "\par }" & Character'First;
    Font_Size : String := "\f0\fs20 "; -- in 1/2 points, put after
    -- both unbold_color and Header
END RTF;